<?php 

namespace Drupal\monarch_bootstrap\Layout;

use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Layout\LayoutDefault;

class BootstrapColumns2 extends LayoutDefault {

  /**
   * {@inheritdoc}
   */
  public function defaultConfiguration() {
    return parent::defaultConfiguration() + [
      'layout' => 'layout--50-50',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function buildConfigurationForm(array $form, FormStateInterface $form_state) {
    $configuration = $this->getConfiguration();
    $form['layout'] = [
      '#type' => 'select',
      '#title' => $this->t('Column Layout'),
      '#required' => TRUE,
      '#options' => [
        'layout--50-50' => $this->t('1/2 - 1/2'),
        'layout--75-25' => $this->t('3/4 - 1/4'),
        'layout--66-33' => $this->t('2/3 - 1/3'),
        'layout--25-75' => $this->t('1/4 - 3/4'),
        'layout--33-66' => $this->t('1/3 - 2/3'),
      ],
    ];

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function submitConfigurationForm(array &$form, FormStateInterface $form_state) {
    $this->configuration['layout'] = $form_state->getValue('layout');
  }

}