<?php

namespace Drupal\monarch_bootstrap\Plugin\Preprocess;

use Drupal\monarch_bootstrap\Plugin\Preprocess\PreprocessBase;

/**
 * Pre-processes variables for buttons.
 *
 * @MonarchPreprocess("input")
 */
class Input extends PreprocessBase { 
  
  /**
   * {@inheritdoc}
   */
  public function preprocess(array &$variables, $hook, array $info) {
    parent::preprocess($variables, $hook, $info);
    $settings = $this->getThemeSetting('input');
    $element = $variables['element'];
  
    $class_map = [
      'button' => 'btn',
      'button--primary' => FALSE,
    ];
    $this->replaceClasses($class_map, $variables);
  
    if (isset($element['#button_type']) && $element['#button_type'] = 'primary') {
      if ($settings['submit_class'] != 'none') {
        $variables['attributes']['class'][] = $settings['submit_class'];
      }
    }
    else if (isset($element['#type']) && $element['#type'] = 'submit') {
      $variables['attributes']['class'][] = $settings['button_class'];
    }
  }
}
